Package twisted :: Package python :: Module threadable :: Class _ThreadedWaiter

[frames | no frames]

## Class _ThreadedWaiter

    _Waiter --+
              |
             _ThreadedWaiter

Method Summary
| `__init__(self)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_hasCallback__(self, key)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_preWait__(self, key)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_registerCallback__(self, key, callback, errback)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_unwait__(self, key, value, ok)`
| `hasCallback(*args, **kw)`
| `preWait(*args, **kw)`
| `registerCallback(*args, **kw)`
| `unwait(*args, **kw)`
| `wait(self, key)`
Inherited from _Waiter
| ``block`(self)`
| ``runCallback`(self, key, value, ok)`
| ``unwait_all`(self)`

Class Variable Summary
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_hasCallback__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_preWait__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_registerCallback__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_unwait__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_hasCallback__` = `[<function _synchPre at 0x823753c>]`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_preWait__` = `[<function _synchPre at 0x823753c>]`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_registerCallback__` = `[<function _synchPre at 0x823753c>]`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_unwait__` = `[<function _synchPre at 0x823753c>]`
`list` | `synchronized` = `['registerCallback', 'hasCallback', 'preW...`

Class Variable Details

### __hook_post_twisted_python_threadable__ThreadedWaiter_hasCallback__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_preWait__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_registerCallback__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_unwait__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_hasCallback__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_preWait__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_registerCallback__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_unwait__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### synchronized

  Type:
    `list`
  Value:

        ['registerCallback', 'hasCallback', 'preWait', 'unwait']

Generated by Epydoc 2.0 on Sat May 15 20:08:18 2004 | http://epydoc.sf.net